CEL: Crystal Entity Layer: celGameInfo Class Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celGameInfo Class Reference

General information on a game. More...

`#include <physicallayer/nettypes.h>`

List of all members.

## Public Member Functions
| celGameInfo ()
int | Compare (celGameInfo *other, celGameInfoList *filters)
| Return 0 if this game info is equal to the other, a negative value if it is smaller, and a positive value if it is bigger.
bool | MatchFilter (celGameInfo *filter)
| Return true if this game info matches the filter, false otherwise.
## Public Attributes
size_t | current_num_players
| The current number of players.
csRef< iCelDataBuffer > | custom_data
| Some custom data specific to the application.
uint32 | game_id
| The ID of the game.
csString | game_name
| The name of the game.
csString | hostname
| The hostname of the server if available.
uint8 | ip_address [32]
| The IP address of the game/server, large enough to hold IPv6 address.
size_t | max_players
| The maximum number of players for this game.
csString | password
| The password needed to connect to the game.
uint16 | port_nb
| The port number of the server.

## Detailed Description

General information on a game.

Definition at line 152 of file nettypes.h.

## Member Function Documentation

int celGameInfo::Compare | ( | celGameInfo * | other,
|  | celGameInfoList * | filters |
| ) |  |  |

Return 0 if this game info is equal to the other, a negative value if it is smaller, and a positive value if it is bigger.

This can be used to sort a list of celGameInfo and display it to the user according to his criterion.

bool celGameInfo::MatchFilter | ( | celGameInfo * | filter | ) |

Return true if this game info matches the filter, false otherwise.

## Member Data Documentation

size_t celGameInfo::current_num_players

The current number of players.

Definition at line 174 of file nettypes.h.

Referenced by celGameInfo().

csRef<iCelDataBuffer> celGameInfo::custom_data

Some custom data specific to the application.

The interpretation of this field is up to the application.

Definition at line 183 of file nettypes.h.

Referenced by celGameInfo().

uint32 celGameInfo::game_id

The ID of the game.

Definition at line 156 of file nettypes.h.

Referenced by celGameInfo().

csString celGameInfo::game_name

The name of the game.

Definition at line 159 of file nettypes.h.

csString celGameInfo::hostname

The hostname of the server if available.

Definition at line 162 of file nettypes.h.

uint8 celGameInfo::ip_address[32]

The IP address of the game/server, large enough to hold IPv6 address.

Definition at line 165 of file nettypes.h.

Referenced by celGameInfo().

size_t celGameInfo::max_players

The maximum number of players for this game.

Definition at line 171 of file nettypes.h.

Referenced by celGameInfo().

csString celGameInfo::password

The password needed to connect to the game.

Definition at line 177 of file nettypes.h.

uint16 celGameInfo::port_nb

The port number of the server.

Definition at line 168 of file nettypes.h.

Referenced by celGameInfo().

The documentation for this class was generated from the following file:

- physicallayer/nettypes.h